org.springframework.data.jdbc.repository.config

## Class DefaultQueryMappingConfiguration

- java.lang.Object
- - org.springframework.data.jdbc.repository.config.DefaultQueryMappingConfiguration

All Implemented Interfaces:
  QueryMappingConfiguration

    public class DefaultQueryMappingConfiguration
    extends Object
    implements QueryMappingConfiguration

A `QueryMappingConfiguration` that allows for registration of `RowMapper`s and `ResultSetExtractor`s via a fluent Api.

Since:
  1.1
Author:
  Jens Schauder, Evgeni Dimitrov

### Field Summary

### Fields inherited from interface org.springframework.data.jdbc.repository.QueryMappingConfiguration

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`DefaultQueryMappingConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> RowMapper<? extends T>` `getRowMapper(Class<T> type)`
`<T> DefaultQueryMappingConfiguration` `registerRowMapper(Class<T> type, RowMapper<? extends T> rowMapper)` Registers a the given `RowMapper` as to be used for the given type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultQueryMappingConfiguration

    public DefaultQueryMappingConfiguration()

### Method Detail

#### getRowMapper

    @Nullable
    public <T> RowMapper<? extends T> getRowMapper(Class<T> type)

Specified by:
  `getRowMapper` in interface `QueryMappingConfiguration`

#### registerRowMapper

    public <T> DefaultQueryMappingConfiguration registerRowMapper(Class<T> type,
                                                                  RowMapper<? extends T> rowMapper)

Registers a the given `RowMapper` as to be used for the given type.

Returns:
  this instance, so this can be used as a fluent interface.